Bug 912878 - Review Request: profile-sync-daemon - Offload browser profiles to RAM for speed a wear reduction
Review Request: profile-sync-daemon - Offload browser profiles to RAM for spe...
Status: CLOSED DUPLICATE of bug 968253
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-19 16:52 EST by graysky
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 05:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description graysky 2013-02-19 16:52:15 EST
Spec URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon.spec
SRPM URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.24-1.fc18.src.rpm
Description: Symlinks and syncs browser profiles to RAM via tmpfs which will reduce HDD/SDD calls and speed-up browsers.
Fedora Account System Username: graysky

Comment: This is my first package, and I am seeking a sponsor. I am the upsteam dev of this software and have packaged it for: Arch Linux, Gentoo, and Ubuntu. I would like to extend that to include fc18 as well.
Comment 1 graysky 2013-02-20 15:40:50 EST
After trying for several days to get the web interface for koji to work (still cannot login), I just build via CLI:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5037743
Comment 2 Miro Hrončok 2013-02-20 18:26:57 EST
You probably shouldn't copy upstream changelog to %changelog, it's simply a changelog of the spec/SRPM.

* Tue Feb 19 2013 graysky <graysky@archlniux.us> - 5.24-1
- New release 5.24

Should be fine.

On the other hand, be sure to add the CHANGELOG and README.md to %doc. Once approved, don't forget to update the Fedora package information in README.md, so the offical package doesn't point users to the unofficial (by official, I mean in Fedora repos).

Why there is a Makefile.fedora18 file, when you use Makefile.archlinux? They are identical, but anyway, doesn't make much sense to me.
Comment 3 graysky 2013-02-20 19:12:57 EST
(In reply to comment #2)
> You probably shouldn't copy upstream changelog to %changelog, it's simply a
> changelog of the spec/SRPM.
> 
> * Tue Feb 19 2013 graysky <graysky@archlniux.us> - 5.24-1
> - New release 5.24
> 
> Should be fine.
> 
> On the other hand, be sure to add the CHANGELOG and README.md to %doc. Once
> approved, don't forget to update the Fedora package information in
> README.md, so the offical package doesn't point users to the unofficial (by
> official, I mean in Fedora repos).

Took your suggestions with one exception: should I really include the github README.md in the package?

Files:
http://repo-ck.com/fedora_rpms/profile-sync-daemon.spec
http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.24-2.fc18.src.rpm
http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.24-2.fc18.noarch.rpm

Koji build log:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5038248

> Why there is a Makefile.fedora18 file, when you use Makefile.archlinux? They
> are identical, but anyway, doesn't make much sense to me.

Ah, my bad.  Fixed in 5.24-2 available at the URL above.
Comment 4 graysky 2013-02-23 06:12:00 EST
I updated the upstream code and refreshed the respective files for review:

Spec URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon.spec
SRPM URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.26-1.fc18.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5046536

Is there anything I can do to help expedite the review process?
Comment 5 graysky 2013-03-14 15:49:28 EDT
I have updated the upstream code and refreshed the respective files for review:

Spec URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon.spec
SRPM URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.29-1.fc18.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5122938
Comment 6 graysky 2013-03-14 15:52:39 EDT
Opps... correct koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=5122938
Comment 7 graysky 2013-05-29 00:23:20 EDT
I have updated the upstream code and refreshed the respective files for review:

Spec URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon.spec
SRPM URL: http://repo-ck.com/fedora_rpms/profile-sync-daemon-5.35-1.fc18.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5436525
Comment 8 graysky 2013-05-29 05:16:48 EDT
Closing report per Christopher's request.
Comment 9 Christopher Meng 2013-05-29 06:15:53 EDT

*** This bug has been marked as a duplicate of bug 968253 ***

Note You need to log in before you can comment on or make changes to this bug.